<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('clubes', function (Blueprint $table) {
            if (!Schema::hasColumn('clubes', 'imagen')) {
                $table->string('imagen')->nullable()->after('nombre');
            }
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('clubes', function (Blueprint $table) {
            if (Schema::hasColumn('clubes', 'imagen')) {
                $table->dropColumn('imagen');
            }
        });
    }
};
